## ros-kinetic-gripper-action-controller 0.13.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(gripper_action_controller)

find_package(catkin 
  REQUIRED COMPONENTS
      actionlib
      angles
      cmake_modules
      controller_interface
      controller_manager
      control_msgs
      control_toolbox
      hardware_interface
      realtime_tools
      roscpp
      trajectory_msgs
      urdf
      xacro
)

catkin_package(
INCLUDE_DIRS include
LIBRARIES gripper_action_controller
CATKIN_DEPENDS 
  actionlib 
  cmake_modules 
  controller_interface 
  control_msgs 
  hardware_interface 
  realtime_tools
  trajectory_msgs
)

include_directories(
  include ${catkin_INCLUDE_DIRS}
)

add_library(gripper_action_controller
   src/gripper_action_controller.cpp
   include/gripper_action_controller/gripper_action_controller.h
)

target_link_libraries(gripper_action_controller
 ${catkin_LIBRARIES}
)

install(TARGETS gripper_action_controller
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(FILES ros_control_plugins.xml
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-gripper-action-controller (0.13.6-1xenial) xenial; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sun, 12 Jan 2020 00:00:00 -0000

ros-kinetic-gripper-action-controller (0.13.5-1xenial) xenial; urgency=high

  * Use a copy of the pointer in update() to avoid crash by cancelCB()
  * Contributors: oka

 -- Sachin Chitta <robot.moveit@gmail.com>  Sat, 09 Feb 2019 00:00:00 -0000

ros-kinetic-gripper-action-controller (0.13.4-1xenial) xenial; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 25 Jun 2018 23:00:00 -0000

ros-kinetic-gripper-action-controller (0.13.3-1xenial) xenial; urgency=high

  * migrate to new pluginlib headers
  * Contributors: Mathias Lüdtke

 -- Sachin Chitta <robot.moveit@gmail.com>  Thu, 26 Apr 2018 23:00:00 -0000

ros-kinetic-gripper-action-controller (0.13.2-1xenial) xenial; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-kinetic-gripper-action-controller (0.13.1-1xenial) xenial; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 06 Nov 2017 00:00:00 -0000

ros-kinetic-gripper-action-controller (0.13.0-1xenial) xenial; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Wed, 09 Aug 2017 23:00:00 -0000

ros-kinetic-gripper-action-controller (0.12.3-1xenial) xenial; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sat, 22 Apr 2017 23:00:00 -0000

ros-kinetic-gripper-action-controller (0.12.2-1xenial) xenial; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Thu, 20 Apr 2017 23:00:00 -0000

ros-kinetic-gripper-action-controller (0.12.1-1xenial) xenial; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Wed, 08 Mar 2017 00:00:00 -0000

ros-kinetic-gripper-action-controller (0.12.0-1xenial) xenial; urgency=high

  * Fix most catkin lint issues
  * Change for format2
  * Add Enrique and Bence to maintainers
  * urdf::Model typedefs had to be added to a different repo first
  * Replace boost::shared_ptr<urdf::XY> with urdf::XYConstSharedPtr when exists
  * Contributors: Bence Magyar

 -- Sachin Chitta <robot.moveit@gmail.com>  Wed, 15 Feb 2017 00:00:00 -0000

ros-kinetic-gripper-action-controller (0.11.2-1xenial) xenial; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 15 Aug 2016 23:00:00 -0000

ros-kinetic-gripper-action-controller (0.11.1-1xenial) xenial; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sun, 22 May 2016 23:00:00 -0000

ros-kinetic-gripper-action-controller (0.11.0-1xenial) xenial; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 02 May 2016 23:00:00 -0000

ros-kinetic-gripper-action-controller (0.10.0-1xenial) xenial; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Fri, 20 Nov 2015 00:00:00 -0000

ros-kinetic-gripper-action-controller (0.9.2-1xenial) xenial; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sun, 03 May 2015 23:00:00 -0000

ros-kinetic-gripper-action-controller (0.9.1-1xenial) xenial; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-kinetic-gripper-action-controller (0.9.0-1xenial) xenial; urgency=high

  * Buildsystem fixes
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Lukas Bulwahn

 -- Sachin Chitta <robot.moveit@gmail.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-kinetic-gripper-action-controller (0.8.1-1xenial) xenial; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Thu, 10 Jul 2014 23:00:00 -0000

ros-kinetic-gripper-action-controller (0.8.0-1xenial) xenial; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sun, 11 May 2014 23:00:00 -0000

ros-kinetic-gripper-action-controller (0.7.2-1xenial) xenial; urgency=high

  * Added missing deps to package.xml
  * Contributors: Scott K Logan

 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 31 Mar 2014 23:00:00 -0000

ros-kinetic-gripper-action-controller (0.7.1-1xenial) xenial; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sun, 30 Mar 2014 23:00:00 -0000

ros-kinetic-gripper-action-controller (0.7.0-1xenial) xenial; urgency=high

  * gripper_action_controller: New controller for single dof grippers.
  * Contributors: Sachin Chitta.

 -- Sachin Chitta <robot.moveit@gmail.com>  Fri, 28 Mar 2014 00:00:00 -0000

=== debian/control ===
Source: ros-kinetic-gripper-action-controller
Section: misc
Priority: optional
Maintainer: Sachin Chitta <robot.moveit@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-actionlib, ros-kinetic-angles, ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-control-msgs, ros-kinetic-control-toolbox, ros-kinetic-controller-interface, ros-kinetic-controller-manager, ros-kinetic-hardware-interface, ros-kinetic-realtime-tools, ros-kinetic-roscpp, ros-kinetic-trajectory-msgs, ros-kinetic-urdf, ros-kinetic-xacro
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-gripper-action-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-actionlib, ros-kinetic-angles, ros-kinetic-cmake-modules, ros-kinetic-control-msgs, ros-kinetic-control-toolbox, ros-kinetic-controller-interface, ros-kinetic-controller-manager, ros-kinetic-hardware-interface, ros-kinetic-realtime-tools, ros-kinetic-roscpp, ros-kinetic-trajectory-msgs, ros-kinetic-urdf, ros-kinetic-xacro
Description: The gripper_action_controller package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-gripper-action-controller//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
